Bug 118062 - Can't su as staff_r, password not accepted
Summary: Can't su as staff_r, password not accepted
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-11 16:02 UTC by Jeff Needle
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 02:13:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Needle 2004-03-11 16:02:13 UTC
When trying to su as staff_r I get an "incorrect password" even if the
password is correct.

# id -Z
root:staff_r:staff_t

# su - someuser
Password:
su: incorrect password

# newrole -r sysadm_r
Authenticating root.
Password: 

# id -Z
root:sysadm_r:sysadm_t

# su - someuser
$ 

# audit2allow -l -i /var/log/messages  | grep staff
allow mrtg_t staff_home_dir_t:dir { read search };
allow staff_t admin_passwd_exec_t:file { getattr };
allow staff_t etc_t:dir { write };
allow staff_t etc_t:file { relabelfrom write };
allow staff_t security_t:dir { search };
allow staff_t security_t:file { read write };
allow staff_t security_t:security { setenforce };
allow staff_t var_log_t:dir { getattr read };
allow user_su_t staff_home_dir_t:dir { search };

Comment 1 Bill Nottingham 2004-03-11 16:35:55 UTC
Using kerberos?

Comment 2 Daniel Walsh 2004-03-18 04:59:13 UTC
FIxed in policy-1.9-1


Note You need to log in before you can comment on or make changes to this bug.